Skip to main content
GET
/
circuits
/
{circuit_id}
/
metrics
Get Analytics
curl --request GET \
  --url 'https://api.example.com/circuits/{circuit_id}/metrics?HAIQU_API_KEY='
{
  "qubits": 123,
  "depth": 123,
  "depth_2q": 123,
  "gates_1q": 123,
  "gates_2q": 123,
  "gates_total": 123,
  "other_ops": 123,
  "num_parameters": 123,
  "other_gates": 123,
  "instructions_total": 123,
  "gate_size_distribution": {},
  "gate_diversity": {},
  "gate_diversity_basis_gates": {},
  "gate_count_distribution": {},
  "program_communication": "N/A",
  "critical_depth": "N/A",
  "entanglement_ratio": "N/A",
  "parallelism": "N/A",
  "liveness_per_qubit": "N/A",
  "liveness": "N/A",
  "correlation_matrix": {},
  "kl_divergence": "N/A",
  "circuit_normalized": "<string>"
}

Authorizations

HAIQU_API_KEY
string
query
required

Path Parameters

circuit_id
string
required

Response

Successful Response

Data model for circuit metrics.

qubits
integer
required
depth
integer
required
depth_2q
integer
required
gates_1q
integer
required
gates_2q
integer
required
gates_total
integer
required
other_ops
integer
required
num_parameters
integer | null
other_gates
integer | null
instructions_total
integer | null
gate_size_distribution
Gate Size Distribution · object
gate_diversity
Gate Diversity · object
gate_diversity_basis_gates
Gate Diversity Basis Gates · object
gate_count_distribution
Gate Count Distribution · object
program_communication
default:N/A
critical_depth
default:N/A
entanglement_ratio
default:N/A
parallelism
default:N/A
liveness_per_qubit
liveness
default:N/A
correlation_matrix
Correlation Matrix · object
kl_divergence
default:N/A
circuit_normalized
string | null